web 500 error when entering setting page
2023-09-25 11:08 - Cheng-Hui PENG

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description
Hi there,

| just installed redmine 5.05 on new ubuntu22.04. After | restorted my databases which data is from redmone 4.2, | can't open the
setting page of projects or issues anymore.
| got error message on the page

“Internal error
An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.
Back®
Here is error log from log file when | clicked setting button

I, [2023-09-20T10:13:56.859177 #28601] INFO -- : [491c7eae-1310-4592-89ad-f85aef136a3d] Started GET "/projects/aos/settings”
for 172.20.0.59 at 2023-09-20 10:13:56 +0000 I, [2023-09-20T10:13:56.861735 #28601] INFO -- :
[491c7eae-1310-4592-89ad-f85aef136a3d] Processing by ProjectsController#settings as HTML [, [2023-09-20T10:13:56.862021
#28601] INFO -- : [491c7eae-1310-4592-89ad-f85aef136a3d] Parameters: {"id"=>"aos"} |, [2023-09-20T10:13:56.877041 #28601]
INFO -- : [491c7eae-1310-4592-89ad-f85aef136a3d] Current user: admin (id=1) I, [2023-09-20T10:13:56.995636 #28601] INFO -- :
[491c7eae-1310-4592-89ad-f85aef136a3d] Rendered projects/settings.html.erb within layouts/base (Duration: 100.9ms |
Allocations: 40900) |, [2023-09-20T10:13:56.995785 #28601] INFO -- : [491c7eae-1310-4592-89ad-f85aef136a3d] Rendered
layout layouts/base.html.erb (Duration: 101.1ms | Allocations: 40928) I, [2023-09-20T10:13:56.996062 #28601] INFO -- :
[491c7eae-1310-4592-89ad-f85aef136a3d] Completed 500 Internal Server Error in 134ms (ActiveRecord: 19.8ms | Allocations:
44924) F, [2023-09-20T10:13:56.997204 #28601] FATAL -- : [491c7eae-1310-4592-89ad-f85aef136a3d]
[491c7eae-1310-4592-89ad-f85aef136a3d] ActionView::Template::Error (undefined method default_issue_query_id' for #<Project id:
185, name: "AOS", description: "Alpha & Omega", homepage: ", is_public: true, parent_id: 1, created_on: "2023-09-07
02:20:15.000000000 +0000", updated_on: "2023-09-07 02:22:20.000000000 +0000", identifier: "aos", status: 1, Ift: 12, rgt: 13,
inherit_members: false, default_version_id: nil, default_assigned_to_id: nil, dmsf_description: nil, dmsf_notification: false,
dmsf_act_as_attachable: 1, new_ticket_message: ", enable_new_ticket_message: 1, default_dmsf_query_id: nil>

Did you mean? default_issue_query

default_issue_query=

default_dmsf_query_id

default_dmsf_query_id?

default_dmsf_query_id=):

[491c7eae-1310-4592-89ad-f85aef136a3d] 44: <% end >

[491c7eae-1310-4592-89ad-f85aef136a3d] 45:

[491c7eae-1310-4592-89ad-f85aef136a3d] 46: < if @project.safe_attribute?('default_issue_query_id") %>
[491c7eae-1310-4592-89ad-f85aef136a3d] 47:

<%= f.select :default_issue_query_id, project_default_issue_query_options(Herve Harster), include_blank: I(:label_none) ><=I
'text_allowed_queries_to_select' %>

[491c7eae-1310-4592-89ad-f85aef136a3d] 48: <% end %>

[491c7eae-1310-4592-89ad-f85aef136a3d] 49:

[491c7eae-1310-4592-89ad-f85aef136a3d] 50:

[491c7eae-1310-4592-89ad-f85aef136a3d]

[491c7eae-1310-4592-89ad-f85aef136a3d] app/helpers/projects_helper.rb:123:in project_default_issue_query_options'
[491c7eae-1310-4592-89ad-f85aef136a3d] app/views/projects/settings/_issues.html.erb:47
[491c7eae-1310-4592-89ad-f85aef136a3d] app/helpers/application_helper.rb:1483:in labelled_form_for'

2025-05-10 1/2



https://www.redmine.org/users/11497

[491c7eae-1310-4592-89ad-f85aef136a3d] app/views/projects/settings/_issues.html.erb:1
[491c7eae-1310-4592-89ad-f85aef136a3d] app/views/common/_tabs.html.erb:21
[491c7eae-1310-4592-89ad-f85aef136a3d] app/views/common/_tabs.html.erb:20:in each’

[491c7eae-1310-4592-89ad-f85aef136a3d] app/views/common/_tabs.html.erb:20 [491c7eae-1310-4592-89ad-f85aef136a3d]

app/helpers/application_helper.rb:497:in render_tabs'
[491c7eae-1310-4592-89ad-f85aef136a3d] app/views/projects/settings.html.erb:3
[491c7eae-1310-4592-89ad-f85aef136a3d] lib/redmine/sudo_mode.rb:61:in sudo_mode'
Does anyone know how to fix it?

History

#1 - 2023-09-25 12:20-C S

Please first make sure that the database and any plugins have been migrated correctly.
You can find further information about the upgrade in the Wiki (from step 4):

RedmineUpgrade

#2 - 2024-04-07 07:35 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid
